{"id":"CVE-2026-47408","summary":"praisonai-platform: list_issue_activity returns activity log for any issue regardless of workspace ownership","details":"PraisonAI Platform is the platform layer for the PraisonAI multi-agent teams system. Versions prior to 0.1.4 have an Insecure Direct Object Reference. The `GET /workspaces/{workspace_id}/issues/{issue_id}/activity` endpoint is gated by `require_workspace_member(workspace_id)` and dispatches to `ActivityService.list_for_issue(issue_id)`, which executes `SELECT * FROM activity WHERE issue_id = :issue_id` with no workspace constraint. A user who is a member of any workspace can read the full activity log of any issue across the entire multi-tenant deployment. PraisonAI Platform version 0.1.4 patches the issue.","aliases":["GHSA-27p4-pjqv-whgj","PYSEC-2026-2927"],"modified":"2026-10-28T02:31:13.944004602Z","published":"2026-07-21T16:49:49.131Z","database_specific":{"cna_assigner":"GitHub_M","cwe_ids":["CWE-639"],"osv_generated_from":"https://github.com/CVEProject/cvelistV5/tree/main/cves/2026/47xxx/CVE-2026-47408.json"},"references":[{"type":"ADVISORY","url":"https://github.com/CVEProject/cvelistV5/tree/main/cves/2026/47xxx/CVE-2026-47408.json"},{"type":"ADVISORY","url":"https://github.com/MervinPraison/PraisonAI/security/advisories/GHSA-27p4-pjqv-whgj"},{"type":"ADVISORY","url":"https://nvd.nist.gov/vuln/detail/CVE-2026-47408"},{"type":"FIX","url":"https://github.com/MervinPraison/PraisonAI/commit/ef79b7a0561796ad9807f0f09538c25cc78d3619"},{"type":"FIX","url":"https://github.com/MervinPraison/PraisonAI/pull/1685"}],"affected":[{"ranges":[{"type":"GIT","repo":"https://github.com/mervinpraison/praisonai","events":[{"introduced":"0"},{"fixed":"b707fd0b27fb405ca03b9a210d6dcb0540774b1a"},{"fixed":"ef79b7a0561796ad9807f0f09538c25cc78d3619"}],"database_specific":{"extracted_events":[{"range":[{"introduced":"0"},{"fixed":"0.1.4"}],"source":"AFFECTED_FIELD","strategy":"StringRangeExpression"},{"range":[{"fixed":"ef79b7a0561796ad9807f0f09538c25cc78d3619"}],"source":"REFERENCES_COMMIT"}]}}],"versions":["v0.1.3","v0.1.2","v0.1.1","v0.1.0","v0.0.74","v0.0.73","v0.0.72","v0.0.71","v0.0.70","v0.0.69","v0.0.68","v0.0.67","v0.0.66","v0.0.65","v0.0.64","v0.0.63","v0.0.62","v0.0.61","v0.0.59","v0.0.59rc11","v0.0.59rc9","v0.0.59rc8","v0.0.59rc7","v0.0.59rc6","0.0.59rc5","v0.0.59rc5","v0.0.59rc4","v0.0.59rc3","v0.0.59rc2","v0.0.59rc1","v0.0.58","0.0.57","0.0.56","0.0.55","v0.0.54","v0.0.53","v0.0.52","v0.0.51","v0.0.50","v0.0.49","v0.0.48","v0.0.47","v0.0.46","v0.0.45","v0.0.44","v0.0.43","v0.0.42","v0.0.41","v0.0.40","v0.0.39","v0.0.38","v0.0.37","v0.0.36","v0.0.35","v0.0.34","v0.0.33","v0.0.32","v0.0.31","v0.0.30","v0.0.29","v0.0.28","v0.0.27","v0.0.26","v0.0.25","v0.0.24","v0.0.23","v0.0.22","v0.0.21","v0.0.20","v0.0.18","v0.0.1"],"database_specific":{"source":"https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2026-47408.json"}}],"schema_version":"1.9.2","severity":[{"type":"CVSS_V3","score":"CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N"}]}